/* Custom Tampilan Hirarki */
ol {

	&.sortable {
		margin: 1em 0;
  		padding: 0;
  		list-style-type: none;

  		ol {
  			margin: 0 0 0 25px;
	  		padding: 0;
	  		list-style-type: none;
  		}

  		li {
  			margin: 5px 0 0 0;
  			padding: 0;

  			div {
  				border: 1px solid #d4d4d4;
  				-webkit-border-radius: 3px;
  				-moz-border-radius: 3px;
  				border-radius: 3px;
  				border-color: #D4D4D4 #D4D4D4 #BCBCBC;
  				padding: 1px;
  				margin: 0;
  				cursor: move;
  				background: #f6f6f6;
  				background: -moz-linear-gradient(top, #ffffff 0%, #f6f6f6 47%, #ededed 100%);
  				background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ffffff),
          					color-stop(47%, #f6f6f6), color-stop(100%, #ededed));
          		background: -webkit-linear-gradient(top, #ffffff 0%, #f6f6f6 47%, #ededed 100%);
  				background: -o-linear-gradient(top, #ffffff 0%, #f6f6f6 47%, #ededed 100%);
  				background: -ms-linear-gradient(top, #ffffff 0%, #f6f6f6 47%, #ededed 100%);
  				background: linear-gradient(to bottom, #ffffff 0%, #f6f6f6 47%, #ededed 100%);
  				filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff',
          				endColorstr='#ededed', GradientType=0);
  			}

  			&.mjs-nestedSortable-branch {
  				div {
  					background: -moz-linear-gradient(top, #ffffff 0%, #f6f6f6 47%, #f0ece9 100%);
  					background: -webkit-linear-gradient(top, #ffffff 0%, #f6f6f6 47%, #f0ece9 100%);

  					.disclose {
  						display: inline-block;
  					}
  				}
  			}

  			&.mjs-nestedSortable-leaf {
  				div {
  					background: -moz-linear-gradient(top, #ffffff 0%, #f6f6f6 47%, #bcccbc 100%);
  					background: -webkit-linear-gradient(top, #ffffff 0%, #f6f6f6 47%, #bcccbc 100%);
  				}
  			}

  			&.mjs-nestedSortable-collapsed {
  				&.mjs-nestedSortable-hovering {
  					div {
  						border-color: #999;
  						background: #fafafa;
  					}
  				}

  				ol {
  					display: none;
  				}

  				div {
  					.disclose {
  						span {
  							&:before {
  								content: '+ ';
  							}
  						}
  					}
  				}
  			}

  			&.mjs-nestedSortable-expanded {
  				div {
  					.disclose {
  						span {
  							&:before {
  								content: '- ';
  							}
  						}
  					}
  				}
  			}
  		}
	}
}

.disclose {
  cursor: pointer;
  width: 10px;
  display: none;
  margin: 0 5px;
}
